Bug 435682 (KunalC) - Problem in adding a watch on a file having space (' ') in its name.
Summary: Problem in adding a watch on a file having space (' ') in its name.
Status: CLOSED ERRATA
Alias: KunalC
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 435672 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-03 10:34 UTC by abhishek
Modified: 2012-03-10 02:11 UTC (History)
2 users (show)

Fixed In Version: audit-2.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-10 02:11:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description abhishek 2008-03-03 10:34:28 UTC
Description of problem:
Problem in adding a watch on a file containing space (' ') character in its
name. If a watch is set directly from command line then it works properly but if
rule is written to 'audit.rules' file then it does not set a watch on file
containing space character in its name.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.open audit.rules file in any text editor.
2.add a line which sets watch on a file containing space character in its name
 e.g suppose file name is "jsp doc"
3.restart the audit daemon
  
Actual results:
parameter passing without an option
invalid rule in line no. x

Expected results:
rules should be added

Additional info:
This bug gives more clear idea than previous one having id=435672

Comment 1 Steve Grubb 2008-03-07 17:58:11 UTC
*** Bug 435672 has been marked as a duplicate of this bug. ***

Comment 2 Bug Zapper 2008-11-26 09:59:57 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:05:48 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Steve Grubb 2009-01-09 11:22:41 UTC
This bug still exists, reopening.

Comment 5 Bug Zapper 2009-06-09 09:28:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-04-27 11:55:52 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-07-30 10:31:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Steve Grubb 2011-12-03 13:46:46 UTC
Applied a patch upstream:
https://fedorahosted.org/audit/changeset/608

Comment 9 Fedora Update System 2012-03-02 00:25:21 UTC
audit-2.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/audit-2.2-1.fc17

Comment 10 Fedora Update System 2012-03-05 20:58:17 UTC
Package audit-2.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audit-2.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2908/audit-2.2-1.fc17
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-03-10 02:11:58 UTC
audit-2.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.